DCMTK - Bug #1048

Incorrect output of "Responding AE Title" in A-ASSOCIATE Request
2022-11-25 14:20 - J6rg Riesmeier

Status: Closed Start date: 2022-11-25
Priority: Normal Due date:

Assignee: Michael Onken % Done: 0%
Category: Library Estimated time: 0:00 hour
Target version: 3.6.8

Module: dcmnet Compiler:

Operating System:

Description
For example, storescu outputs the following:

BEGIN A-ASSOCIATE-RQ
Our Implementation Class UID: 1.2.276.0.7230010.3.0.3.6.7
Our Implementation Version Name: OFFIS_DCMTK_367

Their Implementation Class UID:

Their Implementation Version Name:

Application Context Name: 1.2.840.10008.3.1.1.1
Calling Application Name: STORESCU

Called Application Name: ANY-SCP

Responding Application Name: ANY-SCP
The value "ANY-SCP" in the line "Called Application Name:" makes no sense in the "RQ" since the Association Acceptor has not yet
responsed. It should be an empty value instead (similar to the lines starting with "Their Implementation...").

Related issues:

Related to DCMTK - Bug #375: Possibly incorrect output from "Responding AE Ti... Closed
Related to DCMTK - Bug #1051: DcmSCP::setRespondWithCalledAETitle() does not ... Closed 2022-12-04
History

#1 - 2022-11-25 14:20 - Jorg Riesmeier
- Related to Bug #375: Possibly incorrect output from "Responding AE Title" added

#2 - 2022-11-25 14:21 - J6rg Riesmeier
- Category set to Library
- Target version set to 3.6.8

- Module set to decmnet

#3 - 2022-12-04 17:48 - JOrg Riesmeier
- Related to Bug #1051: DemSCP::setRespondWithCalledAETitle() does not work when parameter "useCalled" is OF False added

#4 - 2023-01-16 15:35 - Jorg Riesmeier

- Assignee set to Michael Onken

#5 - 2023-02-14 09:42 - Michael Onken

- Status changed from New to Closed

Closed with commit 652ce0ccf4b487f0de0293afb26aa98989e97 3ef.
